### Method

# GLib Variant get_double

since: 2.24

#### Declaration [src]

    gdouble
    g_variant_get_double (
      GVariant* value
    )

#### Description [src]

Returns the double precision floating point value of `value`.

It is an error to call this function with a `value` of any type other than `G_VARIANT_TYPE_DOUBLE`.

Available since: 2.24

#### Return value

Type: `gdouble`

A #gdouble.